summaryrefslogtreecommitdiff
path: root/dockernose.sh
diff options
context:
space:
mode:
authorJames E. King III <jking@apache.org>2019-02-05 13:40:12 -0500
committerSebastian Thiel <byronimo@gmail.com>2019-05-05 13:22:53 +0530
commit52ee33ac9b234c7501d97b4c2bf2e2035c5ec1fa (patch)
tree284d5f9db4f88e8d4e9c3ce7aa52d22714e73ff8 /dockernose.sh
parent14b221bf98757ba61977c1021722eb2faec1d7cc (diff)
downloadgitpython-52ee33ac9b234c7501d97b4c2bf2e2035c5ec1fa.tar.gz
Added a Dockerfile that creates a clean Ubuntu Xenial test environment
Diffstat (limited to 'dockernose.sh')
-rwxr-xr-xdockernose.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/dockernose.sh b/dockernose.sh
new file mode 100755
index 00000000..0f741967
--- /dev/null
+++ b/dockernose.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -ex
+if [ -z "${PYVER}" ]; then
+ PYVER=py37
+fi
+
+tox -e ${PYVER} --notest
+PYTHONPATH=/src/.tox/${PYVER}/lib/python*/site-packages /src/.tox/${PYVER}/bin/nosetests --pdb $*